Bug 1180351 - Incorrect units for cgroup memory metrics
Summary: Incorrect units for cgroup memory metrics
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pcp
Version: rawhide
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Nathan Scott
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-08 23:04 UTC by Nathan Scott
Modified: 2015-02-20 20:41 UTC (History)
9 users (show)

Fixed In Version: pcp-3.10.2-2.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-30 04:36:37 UTC


Attachments (Terms of Use)
pmchart screenshot showing the problem (58.91 KB, image/png)
2015-01-08 23:04 UTC, Nathan Scott
no flags Details

Description Nathan Scott 2015-01-08 23:04:38 UTC
Created attachment 977966 [details]
pmchart screenshot showing the problem

Jeremy Eder reports the units PCP is associating with the cgroup.memory.stat.active_anon metric are incorrect - see attached screenshot.
We need to audit the kernel code and see whats actually being exported (IIRC we are exporting the value in kilobytes).

Comment 1 Nathan Scott 2015-01-08 23:39:49 UTC
Oh, we'll also need logrewrite rules for the affected metric(s), and associated QA (ala test qa/748).

Comment 2 Fedora Update System 2015-01-26 16:24:43 UTC
pcp-3.10.2-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/pcp-3.10.2-1.fc21

Comment 3 Fedora Update System 2015-01-26 16:25:57 UTC
pcp-3.10.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/pcp-3.10.2-1.fc20

Comment 4 Fedora Update System 2015-01-26 17:09:52 UTC
pcp-3.10.2-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/pcp-3.10.2-1.el5

Comment 5 Fedora Update System 2015-01-27 02:57:43 UTC
Package pcp-3.10.2-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pcp-3.10.2-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-1199/pcp-3.10.2-1.fc21
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2015-01-30 04:36:37 UTC
pcp-3.10.2-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2015-02-04 08:00:17 UTC
pcp-3.10.2-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2015-02-04 21:31:16 UTC
pcp-3.10.2-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/pcp-3.10.2-2.el5

Comment 9 Fedora Update System 2015-02-20 20:41:52 UTC
pcp-3.10.2-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.